## mx4j.remote
Interface HeartBeat

All Known Implementing Classes:
  AbstractHeartBeat

public interface HeartBeat

A continuous pulse from client to server that gives the information that the connection is alive and the server is up.

Version:
  $Revision: 1.4 $

Method Summary
`int` `getMaxRetries()` Returns the maximum number of retries this heart beat attempts after a first connection failure before declaring the connection or the server as dead.
`long` `getPulsePeriod()` Returns the period of time in milliseconds between two heart beats
`void` `start()` Starts the heart beat
`void` `stop()` Stops the heart beat

Method Detail

### start

    public void start()
               throws java.io.IOException

  Starts the heart beat

  Throws:
    `java.io.IOException` - If there are problems contacting the server
  See Also:
    `stop()`

### stop

    public void stop()
              throws java.io.IOException

  Stops the heart beat

  Throws:
    `java.io.IOException` - If there are problems contacting the server
  See Also:
    `start()`

### getPulsePeriod

    public long getPulsePeriod()

  Returns the period of time in milliseconds between two heart beats

  See Also:
    `MX4JRemoteConstants.CONNECTION_HEARTBEAT_PERIOD`, `getMaxRetries()`

### getMaxRetries

    public int getMaxRetries()

  Returns the maximum number of retries this heart beat attempts after a first connection failure before declaring the connection or the server as dead.

  See Also:
    `MX4JRemoteConstants.CONNECTION_HEARTBEAT_RETRIES`, `getPulsePeriod()`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.